Package fr.gouv.vitam.common.server

# Class VitamServerFactory

java.lang.Object
fr.gouv.vitam.common.server.VitamServerFactory

public class VitamServerFactory extends Object
Vitam Server factory for REST server

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getDefaultPort()`
  Get the Default Port
  `static VitamServer`
  `newVitamServer(int port)`
  `static VitamServer`
  `newVitamServerByJettyConf(String jettyConfigFile)`
  Create a Vitam Server by jetty config
  `static VitamServer`
  `newVitamServerOnDefaultPort()`
  `static VitamServer`
  `newVitamServerWithoutConnector(int port)`
  `static void`
  `setDefaultPort(int port)`
  Set a new Default Port

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newVitamServerOnDefaultPort

    public static VitamServer newVitamServerOnDefaultPort()
    Returns:
      a VitamServer with the default port

  - ### setDefaultPort

    public static void setDefaultPort(int port)
    Set a new Default Port
    Parameters:
      `port` -
    Throws:
      `IllegalArgumentException` - if port <= 0

  - ### getDefaultPort

    public static int getDefaultPort()
    Get the Default Port
    Returns:
      the default current port

  - ### newVitamServer

    public static VitamServer newVitamServer(int port)
    Parameters:
      `port` -
    Returns:
      a VitamServer with the specified port
    Throws:
      `IllegalArgumentException` - if port <= 0

  - ### newVitamServerWithoutConnector

    public static VitamServer newVitamServerWithoutConnector(int port)

  - ### newVitamServerByJettyConf

    public static VitamServer newVitamServerByJettyConf(String jettyConfigFile) throws VitamApplicationServerException
    Create a Vitam Server by jetty config
    Parameters:
      `jettyConfigFile` -
    Returns:
      vitam server
    Throws:
      `VitamApplicationServerException`